Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.network
Enum QHttp.State

    java.lang.Object
      java.lang.Enum<QHttp.State>
          com.trolltech.qt.network.QHttp.State

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QHttp.State>

Enclosing class:
  QHttp

    public static enum QHttp.State

extends java.lang.Enum<QHttp.State>
implements QtEnumerator

This enum is used to specify the state the client is in.

Constant | Value | Description
--- | --- | ---
`Unconnected` | `0` | There is no connection to the host.
`HostLookup` | `1` | A host name lookup is in progress.
`Connecting` | `2` | An attempt to connect to the host is in progress.
`Sending` | `3` | The client is sending its request to the server.
`Reading` | `4` | The client's request has been sent and the client is reading the server's response.
`Connected` | `5` | The connection to the host is open, but the client is neither sending a request, nor waiting for a response.
`Closing` | `6` | The connection is closing down, but is not yet closed. (The state will be `Unconnected` when the connection is closed.)

See Also:
  `stateChanged`, `state`

Enum Constant Summary
`Closing` The connection is closing down, but is not yet closed.
`Connected` The connection to the host is open, but the client is neither sending a request, nor waiting for a response.
`Connecting` An attempt to connect to the host is in progress.
`HostLookup` A host name lookup is in progress.
`Reading` The client's request has been sent and the client is reading the server's response.
`Sending` The client is sending its request to the server.
`Unconnected` There is no connection to the host.

Method Summary
`static QHttp.State` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QHttp.State` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QHttp.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Unconnected

    public static final QHttp.State Unconnected

  There is no connection to the host.

### HostLookup

    public static final QHttp.State HostLookup

  A host name lookup is in progress.

### Connecting

    public static final QHttp.State Connecting

  An attempt to connect to the host is in progress.

### Sending

    public static final QHttp.State Sending

  The client is sending its request to the server.

### Reading

    public static final QHttp.State Reading

  The client's request has been sent and the client is reading the server's response.

### Connected

    public static final QHttp.State Connected

  The connection to the host is open, but the client is neither sending a request, nor waiting for a response.

### Closing

    public static final QHttp.State Closing

  The connection is closing down, but is not yet closed. (The state will be `Unconnected` when the connection is closed.)

Method Detail

### values

    public static final QHttp.State[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QHttp.State c : QHttp.State.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QHttp.State valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QHttp.State resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD